gnutls_ocsp_status_request_enable_client(3)

NAME
gnutls_ocsp_status_request_enable_client - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_ocsp_status_request_enable_client(gnutls_session_t session, gnutls_datum_t * responder_id, size_t responder_id_size, gnutls_datum_t * extensions);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

gnutls_datum_t * responder_id
    array with gnutls_datum_t with DER data of responder id

size_t responder_id_size
    number of members in responder_id array

gnutls_datum_t * extensions
    a gnutls_datum_t with DER encoded OCSP extensions

DESCRIPTION
This function is to be used by clients to request OCSP response from the server, using the "status_request" TLS extension. Only OCSP status type is supported. The responder_id array, its containing elements as well as the data of extensions , must be allocated using gnutls_malloc(). They will be deinitialized on session cleanup. Due to the difficult semantics of the responder_id and extensions parameters, it is recommended to only call this function with these parameters set to NULL.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

SINCE
3.1.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/